[arch-commits] Commit in manedit/repos (4 files)

Giovanni Scafora giovanni at archlinux.org
Fri Nov 20 09:53:57 EST 2009


    Date: Friday, November 20, 2009 @ 09:53:57
  Author: giovanni
Revision: 59150

Merged revisions 59149 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/manedit/trunk

........
  r59149 | giovanni | 2009-11-20 06:53:12 -0800 (ven, 20 nov 2009) | 2 lines
  
  upgpkg: manedit 1.2.1-2
      Added desktop file and fixed man page
........

Added:
  manedit/repos/extra-i686/manedit-1.2.1-fix-man-page.patch
    (from rev 59149, manedit/trunk/manedit-1.2.1-fix-man-page.patch)
  manedit/repos/extra-i686/manedit.desktop
    (from rev 59149, manedit/trunk/manedit.desktop)
Modified:
  manedit/repos/extra-i686/	(properties)
  manedit/repos/extra-i686/PKGBUILD

----------------------------------+
 PKGBUILD                         |   46 ++++++++++++++++++++++++++++++-------
 manedit-1.2.1-fix-man-page.patch |   15 ++++++++++++
 manedit.desktop                  |    9 +++++++
 3 files changed, 62 insertions(+), 8 deletions(-)


Property changes on: manedit/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /manedit/trunk:1-27135
   + /manedit/trunk:1-59149

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-20 14:53:12 UTC (rev 59149)
+++ extra-i686/PKGBUILD	2009-11-20 14:53:57 UTC (rev 59150)
@@ -4,20 +4,50 @@
 
 pkgname=manedit
 pkgver=1.2.1
-pkgrel=1
+pkgrel=2
 pkgdesc="An editor specifically tailored for UNIX manual pages"
 arch=('i686' 'x86_64')
 license=('GPL')
 url="http://www.battlefieldlinux.com/wolfpack/ManEdit/"
 depends=('gcc-libs' 'bzip2' 'zlib' 'gtk')
-source=(http://wolfsinger.com/~wolfpack/packages/$pkgname-$pkgver.tar.bz2)
-md5sums=('a7ee1835e32ed3c9279412af7caf13ef')
+source=(http://wolfsinger.com/~wolfpack/packages/${pkgname}-${pkgver}.tar.bz2
+        manedit-1.2.1-fix-man-page.patch
+        manedit.desktop)
+md5sums=('a7ee1835e32ed3c9279412af7caf13ef'
+         '60cb0c224a6659f8a8183006608f368b'
+         'bac6986fc25dda6f0e27e3673eef4600')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure Linux --prefix=/usr -v --enable="arch-$CARCH"
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  # Patch to fix generate man page
+  patch -Np1 -i ${srcdir}/manedit-1.2.1-fix-man-page.patch || return 1
+
+  env CFLAGS="${CFLAGS}" \
+  ./configure Linux \
+              --prefix=/usr \
+              --mandir=/usr/share/man \
+              --datadir=/usr/share \
+              --enable=bzip2 \
+              --enable=zlib \
+              --disable="arch-i486" \
+              --disable="arch-i586" \
+              --disable="arch-i686" \
+              --disable="arch-pentiumpro"
+
   make all || return 1
-  make PREFIX=$startdir/pkg/usr install
-  # move manpage to FHS location
-  mv $startdir/pkg/usr/man $startdir/pkg/usr/share/man
+
+  # Fix strip error (tries to strip a shell script)
+  cp manedit/Makefile.install.UNIX{,.orig}
+  sed -e '/INST.*FLAGS.*-s$/s:-s::' \
+         manedit/Makefile.install.UNIX.orig > manedit/Makefile.install.UNIX
+
+  # Set man dir too or FHS is violated
+  make PREFIX="${pkgdir}/usr" \
+       MAN_DIR="${pkgdir}/usr/share/man/man1" \
+       ICONS_DIR="${pkgdir}/usr/share/pixmaps" \
+       DATA_DIR="${pkgdir}/usr/share/doc/${pkgname}/" install || return 1
+
+  # Install desktop file
+  install -Dm644 ${srcdir}/manedit.desktop "${pkgdir}/usr/share/applications/manedit.desktop"
 }

Copied: manedit/repos/extra-i686/manedit-1.2.1-fix-man-page.patch (from rev 59149, manedit/trunk/manedit-1.2.1-fix-man-page.patch)
===================================================================
--- extra-i686/manedit-1.2.1-fix-man-page.patch	                        (rev 0)
+++ extra-i686/manedit-1.2.1-fix-man-page.patch	2009-11-20 14:53:57 UTC (rev 59150)
@@ -0,0 +1,15 @@
+--- a/manedit/makefile_append.ini	2008-10-11 16:00:00.000000000 -0700
++++ b/manedit/makefile_append.ini	2009-11-20 15:33:47.000000000 -0800
+@@ -39,9 +39,9 @@
+ 
+ manpage:
+ 	@echo "Generating manual page $(BIN).1.bz2"
+-	@-$(SED) 's|%%PREFIX%%|$(PREFIX)|g ; \
+-                  s|%%LOCALBASE%%|${LOCALBASE}|g ; \
+-                  s|%%X11BASE%%|${X11BASE}|g' $(BIN).1 > $(BIN).1.out
++	@-$(SED) -e 's|%%PREFIX%%|$(PREFIX)|g ;' \
++                 -e 's|%%LOCALBASE%%|${LOCALBASE}|g ;' \
++                 -e 's|%%X11BASE%%|${X11BASE}|g' $(BIN).1 > $(BIN).1.out
+ 	@-$(BZIP2) $(BIN).1.out --stdout > $(BIN).1.bz2
+ 
+ modules: $(OBJ_C) $(OBJ_CPP)

Copied: manedit/repos/extra-i686/manedit.desktop (from rev 59149, manedit/trunk/manedit.desktop)
===================================================================
--- extra-i686/manedit.desktop	                        (rev 0)
+++ extra-i686/manedit.desktop	2009-11-20 14:53:57 UTC (rev 59150)
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Manpage Editor
+Comment=Create and edit UNIX manual pages
+Icon=/usr/share/pixmaps/manedit.xpm
+Exec=manedit
+Terminal=false
+Type=Application
+Categories=GNOME;Application;Development;
+StartupNotify=true
\ No newline at end of file



More information about the arch-commits mailing list